Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065400 - [abrt] kde-workspace: KCrash::defaultCrashHandler(): kwin killed by SIGSEGV
Summary: [abrt] kde-workspace: KCrash::defaultCrashHandler(): kwin killed by SIGSEGV
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kde-workspace
Version: 7.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Daniel Vrátil
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:5d8de07c846328ea5155c406a77...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 15:03 UTC by Jeff Bastian
Modified: 2015-11-02 01:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 17:30:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-14 15:03 UTC, Jeff Bastian
no flags Details
File: cgroup (deleted)
2014-02-14 15:03 UTC, Jeff Bastian
no flags Details
File: core_backtrace (deleted)
2014-02-14 15:03 UTC, Jeff Bastian
no flags Details
File: dso_list (deleted)
2014-02-14 15:03 UTC, Jeff Bastian
no flags Details
File: environ (deleted)
2014-02-14 15:04 UTC, Jeff Bastian
no flags Details
File: limits (deleted)
2014-02-14 15:04 UTC, Jeff Bastian
no flags Details
File: maps (deleted)
2014-02-14 15:04 UTC, Jeff Bastian
no flags Details
File: open_fds (deleted)
2014-02-14 15:04 UTC, Jeff Bastian
no flags Details
File: proc_pid_status (deleted)
2014-02-14 15:04 UTC, Jeff Bastian
no flags Details
File: var_log_messages (deleted)
2014-02-14 15:04 UTC, Jeff Bastian
no flags Details
File: sosreport.tar.xz (deleted)
2014-02-14 15:04 UTC, Jeff Bastian
no flags Details
valgrind on kwin (1/3) (deleted)
2014-02-24 18:54 UTC, Jeff Bastian
no flags Details
valgrind on kwin (2/3) (deleted)
2014-02-24 18:56 UTC, Jeff Bastian
no flags Details
valgrind on kwin (3/3) (deleted)
2014-02-24 18:56 UTC, Jeff Bastian
no flags Details

Description Jeff Bastian 2014-02-14 15:03:51 UTC
Description of problem:
I switched the KDE Desktop Effects "Compositing type" and "Qt graphics system" settings from XRender/Native to OpenGL/Raster and hit apply and kwin crashed (but it restarted automatically).

Version-Release number of selected component:
kde-workspace-4.10.5-10.el7

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        kwin
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/kwin
kernel:         3.10.0-86.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            12257

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kdelibs-4.10.5/kdeui/util/kcrash.cpp:346
 #3 XRenderHasDepths at Xrender.c:119
 #4 XRenderExtAddDisplay at Xrender.c:202
 #5 XRenderFindDisplay at Xrender.c:289
 #6 XRenderFreePicture at Picture.c:232
 #7 ~XRenderPictureData at /usr/src/debug/kde-workspace-4.10.5/kwin/libkwineffects/kwinxrenderutils.h:97
 #8 ~KSharedPtr at /usr/include/kde4/ksharedptr.h:90
 #9 KWin::XRenderPicture::~XRenderPicture at /usr/src/debug/kde-workspace-4.10.5/kwin/libkwineffects/kwinxrenderutils.h:76
 #10 __cxa_finalize at cxa_finalize.c:55
 #11 __do_global_dtors_aux at /lib64/libkwineffects.so.1

Comment 1 Jeff Bastian 2014-02-14 15:03:53 UTC
Created attachment 863300 [details]
File: backtrace

Comment 2 Jeff Bastian 2014-02-14 15:03:55 UTC
Created attachment 863301 [details]
File: cgroup

Comment 3 Jeff Bastian 2014-02-14 15:03:56 UTC
Created attachment 863302 [details]
File: core_backtrace

Comment 4 Jeff Bastian 2014-02-14 15:03:58 UTC
Created attachment 863303 [details]
File: dso_list

Comment 5 Jeff Bastian 2014-02-14 15:04:00 UTC
Created attachment 863304 [details]
File: environ

Comment 6 Jeff Bastian 2014-02-14 15:04:02 UTC
Created attachment 863305 [details]
File: limits

Comment 7 Jeff Bastian 2014-02-14 15:04:04 UTC
Created attachment 863306 [details]
File: maps

Comment 8 Jeff Bastian 2014-02-14 15:04:05 UTC
Created attachment 863307 [details]
File: open_fds

Comment 9 Jeff Bastian 2014-02-14 15:04:08 UTC
Created attachment 863308 [details]
File: proc_pid_status

Comment 10 Jeff Bastian 2014-02-14 15:04:12 UTC
Created attachment 863309 [details]
File: var_log_messages

Comment 11 Jeff Bastian 2014-02-14 15:04:25 UTC
Created attachment 863310 [details]
File: sosreport.tar.xz

Comment 13 Daniel Vrátil 2014-02-24 11:54:32 UTC
Can you reliably reproduce the crash? I was not able to reproduce it locally.

What GPU and GPU drivers do you have?

Can you please provide list of activated KWin effects:

qdbus org.kde.kwin /Effects org.kde.kwin.Effects.loadedEffects
qdbus org.kde.kwin /Effects org.kde.kwin.Effects.activeEffects


The backtrace seems it could be a double-free corruption. If you can please try reproducing when running KWin under valgrind.

Comment 14 Daniel Vrátil 2014-02-24 11:56:04 UTC
(Note: to restart KWin, use kwin --replace. Killing KWin will usually steal you focus from console and you won't be able to start it again)

Comment 15 Jeff Bastian 2014-02-24 17:52:50 UTC
I haven't been able to reproduce it either.  I've tried toggling between OpenGL and XRender, and Native and Raster, and various combinations, and I haven't seen it crash again.  I've also enabled and disabled the effects in the various modes and it's behaved properly.

I have an Intel Haswell i7-4600U CPU with the HD Graphics 4400 GPU (this is a Lenovo T440s laptop) and an external Samsung display connected with Mini-DisplayPort to DVI-D connector.

~]$ qdbus org.kde.kwin /Effects org.kde.kwin.Effects.loadedEffects
kwin4_effect_zoom
kwin4_effect_login
kwin4_effect_slidingpopups
kwin4_effect_minimizeanimation
kwin4_effect_translucency
kwin4_effect_screenshot
kwin4_effect_slide
kwin4_effect_desktopgrid
kwin4_effect_maximize
kwin4_effect_fade
kwin4_effect_dialogparent
kwin4_effect_highlightwindow
kwin4_effect_taskbarthumbnail
kwin4_effect_presentwindows
kwin4_effect_blur
kwin4_effect_dashboard
kwin4_effect_outline
kwin4_effect_startupfeedback

~]$ qdbus org.kde.kwin /Effects org.kde.kwin.Effects.activeEffects
kwin4_effect_blur

Comment 16 Jeff Bastian 2014-02-24 18:52:01 UTC
I tried running kwin under valgrind and still no luck reproducing the problem.

valgrind --trace-children=yes \
         --track-origins=yes \
         --log-file=/tmp/kwin-valgrind-%p.out \
         -- \
         /usr/bin/kwin --replace


However, valgrind did find a number of other problems with kwin including uninitialized values, invalid writes, and invalid reads.  I'll attach the valgrind logs.

Comment 17 Jeff Bastian 2014-02-24 18:54:41 UTC
Created attachment 867104 [details]
valgrind on kwin (1/3)

Comment 18 Jeff Bastian 2014-02-24 18:56:00 UTC
Created attachment 867105 [details]
valgrind on kwin (2/3)

This file was 940 KiB, so I compressed it with xz

Comment 19 Jeff Bastian 2014-02-24 18:56:32 UTC
Created attachment 867106 [details]
valgrind on kwin (3/3)

Comment 21 Ngo Than 2014-03-20 12:05:18 UTC
since this bug cannot reproducable, i closed it as "WORKFORME". Feel free to reopen it again if you can reproduce it.

Comment 27 Jeff Bastian 2015-01-13 17:30:01 UTC
I can't reproduce on RHEL 7.1, so I'm going to close this again as WORKSFORME since it only happened one time on RHEL 7.0 Alpha/Beta.


Note You need to log in before you can comment on or make changes to this bug.